# 🎅 Secret Santa Automatisé en Python

Ce projet est un script Python qui organise un **tirage au sort Secret Santa** à partir d’une liste de participants. Chaque personne reçoit automatiquement un e-mail lui indiquant de manière confidentielle à qui elle doit offrir un cadeau.

---

## ✨ Fonctionnalités

- Tirage au sort aléatoire garantissant que personne ne se tire lui-même
- Possibilité d’ajouter des **contraintes d’exclusion** (non implémenté ici mais facilement extensible)
- Envoi automatique d’e-mails personnalisés à chaque participant via **SMTP Gmail**
- Préservation de l’**anonymat du tirage**
- Séparation des données sensibles via un fichier `.env` (non inclus dans le dépôt)

---

## 🛠️ Technologies utilisées

- Python 3
- Bibliothèques : `smtplib`, `email`, `random`, `dotenv`, `os`
- Serveur SMTP Gmail

---

## 📁 Organisation du projet

